[MMTK] Installing MMTK-2.5.11

khinsen at cea.fr khinsen at cea.fr
Tue Nov 22 11:33:48 CET 2005


On Nov 21, 2005, at 22:38, vanitha at cs.wisc.edu wrote:

> I would like to install the new version of MMTK. Is it sufficient to
> delete the MMTK folder in the source directory of the existing
> installation or do I need to delete stuff in my include directory  
> as well?
> I just want to make sure that I don't break anything :-)

It is sufficient to delete the MMTK folder. The include files will be  
overwritten by the new installation.

Normally, it is not necessary to remove anything for an update. The  
reason why I recommend removing MMTK 2.4 before installing 2.5 is  
that in 2.5 the NormalModes module has been replaced by a NormalModes  
subpackage. After an installation of 2.5 over an existing 2.4  
installation, there would be both a module called NormalModes and a  
subpackage called NormalModes, and Python would choose the module.

Konrad.
--
---------------------------------------------------------------------
Konrad Hinsen
Laboratoire Léon Brillouin, CEA Saclay,
91191 Gif-sur-Yvette Cedex, France
Tel.: +33-1 69 08 79 25
Fax: +33-1 69 08 82 61
E-Mail: khinsen at cea.fr
---------------------------------------------------------------------





More information about the mmtk mailing list